Bug 73397 - .Trash on removable disks makes them unmountable
.Trash on removable disks makes them unmountable
Product: Red Hat Public Beta
Classification: Retired
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-09-03 22:02 EDT by Brett Boren
Modified: 2015-01-07 19:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-06 04:28:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brett Boren 2002-09-03 22:02:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
nautilus creates a .Trash on removable disks (zip) when an item is deleted
causing fam to watch the .Trash on that disk making it unmountable

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. mount zip disk
2. use nautilus to delete item from it
3. unmount
4. remount (nautilus sees the .Trash and sets a watch on it)
5. Try to unmount (commandline or through nautilus)

Actual Results:  device is busy and won't free up until fam is killed

Expected Results:  fs should have been unmounted

Additional info:
Comment 1 Havoc Pennington 2002-09-03 22:10:21 EDT
This should be fixed in nautilus 2.0.6-6

(reopen if not)
Comment 2 Ben Levenson 2002-09-05 16:35:05 EDT
reopening. I was able to reproduce this with a floppy disk w/ nautilus-2.0.6-6
Comment 3 Alexander Larsson 2002-09-06 04:28:46 EDT
You need to unmount it using nautilus.
Comment 4 Havoc Pennington 2002-09-06 10:27:39 EDT
Ah, I missed that part of the bug report. Unmounting from the command line isn't
intended to work. If unmount via nautilus doesn't work (with latest
nautilus/gnome-vfs2 from rawhide), then please reopen the bug.
Comment 5 Ben Levenson 2002-09-06 11:40:56 EDT
I guess 3.5" floppies are treated differently....
Should I open a separate bug to track that issue? If I mount a floppy
at the command line and delete a file with nautilus, then I can't unmount 
it either. There doesn't seem to be an obvious way to unmount this device
from within nautilus.  Additionally, the "eject" option in the
contextual menu doesn't apply.
Comment 6 Havoc Pennington 2002-09-06 11:50:58 EDT
If you mount a floppy you should get a desktop icon for it; if not, that is a
separate bug yes. If you have a desktop icon, then it should offer an unmount
option on right-click. Also if you right click empty space on the desktop, there
is a Disks submenu that should offer the option. And true Eject should be
disabled for floppies, probably, though for IDE devices we can't really know
reliably if the device offers Eject I don't think.
Comment 7 Alexander Larsson 2002-09-06 12:22:12 EDT
It always says Eject for removable media, because we can't know which devices
are ejectable. Some floppies are.
Comment 8 Ben Levenson 2002-09-06 12:31:18 EDT
hp - the icon appears on the desktop as expected. 
alexl - thanks for the clarification re: the eject option.
But, a similar condition exists for floppy disks if the following steps are
1- mount floppy
2- browse to floppy w/ nautilus and delete a file
3- try to unmount floppy -- fam prevents you.
Comment 9 Brett Boren 2002-09-06 12:39:16 EDT
Where can I get a newer version of nautilus to check this with? And as far as
the ejetc versus unmount goes - why not offer both? Though right now even eject
isn't actually ejecting my disk (when I'm not having trouble with fam and can
still unmount it).
Comment 10 Alexander Larsson 2002-09-06 12:41:40 EDT
benl: I don't understand what you mean by step 3?
Do you select "Eject" in the floppy menu, or are you trying to unmount from the
command line? The first should work, and the last can never work.
Comment 11 Brett Boren 2002-09-06 12:51:06 EDT
Not to be too irritating, but shouldn't there remain some ability to unmount
from the commandline? Why is there a watch placed on the .Trash of removable
disks anyway?
Comment 12 Ben Levenson 2002-09-10 14:22:33 EDT
alexl: there is no unmount option from withing nautilus for a 3.5" floppy
unless the drive supports eject. And the fam process that is started prevents
a clean command line unmount operation.
Comment 13 Alexander Larsson 2002-09-10 17:34:48 EDT
Why do you say that? Did you test it?
The operation called "Eject" in the menu for a floppy does:
1) remove the fam watch for the trash on the floppy
2) unmount the floppy
3) execute "eject" (which ejects the floppy if the hardware supports it).

Is it not doing this?
Comment 14 Ben Levenson 2002-09-10 19:14:57 EDT
"Why do you say that? Did you test it?" -- yes.
1- insert floppy.
2- mount w/ "Disks" contextual menu.
3- try to unmount it w/ eject.
4- icon still appears on desktop, and "mount" shows /dev/fd0 as mounted.
"eject" *did* remove the fam watch (sorry about the earlier confusion), but
it did not unmount the floppy.
Comment 15 Alexander Larsson 2002-09-11 05:20:16 EDT
Ok. That sounds like a bug.
Can you file a separate bug about that?

Note You need to log in before you can comment on or make changes to this bug.